<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_b.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_b"></a>- b -</h3><ul>
<li>b
: <a class="el" href="class_camera.html#ac38bcfc28d7ab935ea0d3ccac7646939">Camera</a>
</li>
<li>b_box
: <a class="el" href="class_surface.html#a676d836b2651caf205065fcd095a356b">Surface</a>
</li>
<li>b_box_def
: <a class="el" href="class_surface.html#a65d1534766e141346af770b5e95503bf">Surface</a>
</li>
<li>bbox
: <a class="el" href="struct_b_v_h_flat_node.html#a2eb8bc5ce9872472c56fbee34a921a87">BVHFlatNode</a>
</li>
<li>beta
: <a class="el" href="structhit__rec.html#a6a31cd818d4d761a8c2f9e515c733b9e">hit_rec</a>
</li>
<li>Billboard()
: <a class="el" href="class_billboard.html#a66d24fc23c054419387c9c5794cd6951">Billboard</a>
</li>
<li>BillboardTransform()
: <a class="el" href="class_billboard_transform.html#a91f2b43fe12af2a2912030fa67ffa040">BillboardTransform</a>
</li>
<li>bounding_box()
: <a class="el" href="class_mesh.html#a0560f1ba7ad6b24a176ab302723b0fa2">Mesh</a>
, <a class="el" href="class_sphere.html#a8e7068ae2787aa9ff47eefe23b245c9f">Sphere</a>
, <a class="el" href="class_surface.html#a1dabf409cbd72a6cf1984a21304369ff">Surface</a>
, <a class="el" href="class_triangle.html#a021fb26d1e764935add59709d8b1112f">Triangle</a>
</li>
<li>Box()
: <a class="el" href="class_box.html#a2d3c07d8475cba63a7b481b40d6deb37">Box</a>
</li>
<li>bump
: <a class="el" href="class_material.html#a3dbb2d757ff62d77db78e02d3d1eca7d">Material</a>
</li>
<li>BVH()
: <a class="el" href="class_b_v_h.html#a739dae92e89ce9b76e32df7ab7c83020">BVH</a>
</li>
<li>bvh
: <a class="el" href="class_scene.html#a45b8655cf456ce0383290db41f2b7c0b">Scene</a>
</li>
<li>BVHTraversal()
: <a class="el" href="struct_b_v_h_traversal.html#ad8843298c0f27c72a5f2c19b60bcb7a0">BVHTraversal</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
